## List **get** `/assistants` Retrieve all assistants associated with your account. Each assistant in the response includes its full configuration: prompt, voice settings, and first sentence. Use this endpoint to list available assistants before placing calls. ### Returns - `assistants: array of object { id, background_sound, calendly, 20 more }` - `id: string` - `background_sound: "audio/office.ogg"` The background sound to play during the call. Useful to give the impression that your AI agent is in an office. - `"audio/office.ogg"` - `calendly: object { connection_id, event_type_id }` - `connection_id: string` The connection ID representing the link between your Calendly account and Revox. - `event_type_id: string` The event type ID representing the event type to schedule. (eg: https://api.calendly.com/event_types/b2330295-2a91-4a1d-bb73-99e7707663d5) - `call_retry_config: object { calling_windows, max_retry_attempts, timezone }` Configuration for call retry behavior including time windows, delays, and max iterations. If not provided, defaults will be used. - `calling_windows: array of object { calling_window_end_time, calling_window_start_time, retry_delay_seconds }` - `calling_window_end_time: string` End time for the calling window in the recipient's timezone (or timezone_override if provided). Format: 'HH:mm' (24-hour) or 'H:mma' (12-hour). Examples: '17:00', '6pm'. Default: '18:00'. - `calling_window_start_time: string` Start time for the calling window in the recipient's timezone (or timezone_override if provided). Format: 'HH:mm' (24-hour) or 'H:mma' (12-hour). Examples: '09:00', '10am'. Default: '10:00'. - `retry_delay_seconds: number` Delay between retry attempts in seconds. Default: 7200 (2 hours). - `max_retry_attempts: number` Maximum number of call retry attempts. Default: 3. - `timezone: optional string` Optional IANA timezone identifier to override the automatic timezone detection from phone number. If not provided, timezone is determined from the recipient's phone number country code. Examples: 'America/New_York', 'Europe/Paris'. - `created_at: unknown` - `end_of_call_sentence: string` - `first_sentence: string` - `first_sentence_delay_ms: number` Delay in milliseconds before speaking the first sentence. Default: 400. - `first_sentence_mode: "generated" or "static" or "none"` - `"generated"` - `"static"` - `"none"` - `ivr_navigation_enabled: boolean` Enable IVR navigation tools. When enabled, the assistant can send DTMF tones and skip turns to navigate phone menus. - `llm_model: object { name, type } or object { openrouter_model_id, openrouter_provider, type }` - `UnionMember0 = object { name, type }` - `name: "gpt-4.1" or "ministral-3-8b-instruct"` - `"gpt-4.1"` - `"ministral-3-8b-instruct"` - `type: "dedicated-instance"` - `"dedicated-instance"` - `UnionMember1 = object { openrouter_model_id, openrouter_provider, type }` - `openrouter_model_id: string` The model ID to use from OpenRouter. eg: openai/gpt-4.1 - `openrouter_provider: string` The provider to use from OpenRouter. eg: nebius, openai, azure, etc. - `type: "openrouter"` Use a model from OpenRouter. - `"openrouter"` - `max_call_duration_secs: number` The maximum duration of the call in seconds. This is the maximum time the call will be allowed to run. - `name: string` - `organization_id: string` - `prompt: string` - `structured_output_config: array of object { name, required, type, 2 more }` The structured output config to use for the call. This is used to extract the data from the call (like email, name, company name, etc.). - `name: string` - `required: boolean` - `type: "string" or "number" or "boolean" or 3 more` - `"string"` - `"number"` - `"boolean"` - `"enum"` - `"date"` - `"datetime"` - `description: optional string` - `enum_options: optional array of string` - `transfer_phone_number: string` Phone number to transfer calls to when users request to speak to a human agent. - `updated_at: unknown` - `voice: object { id, provider, speed }` - `id: string` The ID of the voice. - `provider: "cartesia" or "elevenlabs"` The provider of the voice. - `"cartesia"` - `"elevenlabs"` - `speed: optional number` The speed of the voice. Range depends on provider: Cartesia 0.6–1.5, ElevenLabs 0.7–1.2. Default is 1.0. - `voicemail_message: string` If set, when voicemail is detected the agent will speak this message then hang up; if null, hang up immediately. - `webhook_url: string` The webhook URL to call when the call is completed. - `faq_items: optional array of object { answer, question, id, 2 more }` - `answer: string` - `question: string` - `id: optional string` - `needs_human_answer: optional boolean` - `source: optional "human" or "ai"` - `"human"` - `"ai"` - `pending_faq_count: optional number` ### Example ```http curl https://www.getrevox.com/api/assistants \ -H "Authorization: Bearer $REVOX_API_KEY" ```